org.gradle.platform.base

## Interface PlatformAwareComponentSpec

- All Superinterfaces:
    ComponentSpec, Named
  All Known Subinterfaces:
    JvmLibrarySpec, NativeExecutableSpec, NativeLibrarySpec, PlayApplicationSpec, TargetedNativeComponent

      @Incubating
      public interface PlatformAwareComponentSpec
      extends ComponentSpec

  Defines Platform specific operations for ComponentSpecs

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `targetPlatform(String targetPlatform)` Specifies a platform that this component should be built be for.

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `binaries, getBinaries, getDisplayName, getProjectPath, getSource, getSources, sources`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### targetPlatform

          void targetPlatform(String targetPlatform)

      Specifies a platform that this component should be built be for.